package de.hhu.phil.smt;

import java.util.HashMap;
import java.util.Map;

/*
 * Author: kaeshammer@uni-duesseldorf.de
 * 
 * Collection of static helper methods that might be useful.
 */

public class SMT {
	
	/*
	 *  start-of-sentence token
	 */
	public static final String START_TOK = "<s>"; 
	
	/*
	 *  end-of-sentence token
	 */
	public static final String END_TOK = "</s>";
	
	/*
	 *  unknown token
	 */
	public static final String UNK = "<UNK>";

	/*
	 * Tokenize str according to whitespace.
	 */
	public static String[] tokenizeWS(String str) {
		return str.split("\\s+");
	}
	
	/*
	 * Add start-of-sentence and end-of-sentence token
	 */
	public static String addStartEnd(String line) {
		return START_TOK + " " + line + " " + END_TOK;
	}
	
	/*
	 * Print the map with each entry on a line
	 */
	public static <K, V> void pprintHashMap(HashMap<K,V> map) {
		for (Map.Entry<K, V> p : map.entrySet()) {
			System.out.println(p);
		}
	}

}
